zenilib: Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title Class Reference

`#include <Title_State.h>`

Inherits Zeni::Text_Box.

## Public Member Functions

| Title (const String &title_)
Public Member Functions inherited from Zeni::Text_Box
| Text_Box (const Point2f &upper_left_, const Point2f &lower_right_, const String &font_name_, const String &text_, const Color &text_color_, const bool &editable_=ZENI_DEFAULT_TEXTBOX_EDITABLE, const JUSTIFY &justify_=ZENI_DEFAULT_JUSTIFY, const int &tab_spaces_=ZENI_DEFAULT_TAB_SPACES)
| ~Text_Box ()
void | erase_lines (const unsigned int &begin, const unsigned int &end)
void | fax_BG_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const Widget_Render_Function * | get_BG_Renderer () const
| Get the current Widget_Render_Function. More...
int | get_cursor_pos () const
const int & | get_edit_pos () const
const Font & | get_Font () const
const String & | get_font_name () const
const JUSTIFY & | get_justify () const
int | get_max_cursor_seek () const
size_t | get_max_lines () const
int | get_max_seek () const
size_t | get_num_lines () const
const String & | get_text () const
const Color & | get_text_color () const
void | give_BG_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
void | lend_BG_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
virtual void | on_accept ()
| Called when the cursor is released inside the button. More...
virtual void | on_change ()
virtual void | on_focus ()
virtual void | on_key (const SDL_Keysym &keysym, const bool &down)
virtual void | on_mouse_button (const Point2i &pos, const bool &down, const int &button)
virtual void | on_unfocus ()
virtual void | render_impl () const
void | seek (const int &edit_pos)
void | seek_cursor (const int &cursor_pos)
virtual void | set_editable (const bool &editable_)
void | set_focus (const bool &value)
void | set_font_name (const String &font_name_)
void | set_justify (const JUSTIFY &justify_)
virtual void | set_lower_right (const Point2f &lower_right_)
void | set_text (const String &text_)
void | set_text_color (const Color &text_color_)
virtual void | set_upper_left (const Point2f &upper_left_)
Public Member Functions inherited from Zeni::Widget_Button
| Widget_Button (const Point2f &upper_left_, const Point2f &lower_right_)
const State & | get_State () const
| Get the State of the button. More...
virtual void | on_click ()
| Called when the cursor downclicks the button. More...
virtual void | on_hover ()
| Called when the cursor passes over the button. More...
virtual void | on_mouse_motion (const Point2i &pos)
virtual void | on_reject ()
| Called when the cursor is released outside the button. More...
virtual void | on_stray ()
| Called when the cursor is dragged off the button after being clicked. More...
virtual void | on_unhover ()
| Called when the cursor leaves the button without clicking. More...
virtual void | on_unstray ()
| Called when the cursor is dragged back onto the button without releasing the clicker. More...
Public Member Functions inherited from Zeni::Widget
| Widget ()
virtual | ~Widget ()
void | fax_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const float & | get_layer () const
const Widget_Render_Function * | get_Renderer () const
| Get the current Widget_Render_Function. More...
void | give_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
const bool & | is_busy () const
const bool & | is_editable () const
void | lend_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
void | on_event (const SDL_KeyboardEvent &event)
void | on_event (const SDL_MouseButtonEvent &event)
void | on_event (const SDL_MouseButtonEvent &event, const Projector2D &projector)
void | on_event (const SDL_MouseMotionEvent &event)
void | on_event (const SDL_MouseMotionEvent &event, const Projector2D &projector)
virtual void | perform_logic ()
void | render () const
void | set_busy (const bool &busy_)
void | set_layer (const float &layer_=0.0f)
Public Member Functions inherited from Zeni::Widget_Rectangle
| Widget_Rectangle (const Point2f &upper_left_, const Point2f &lower_right_)
virtual | ~Widget_Rectangle ()
Point2f | get_center () const
float | get_height () const
Point2f | get_lower_left () const
const Point2f & | get_lower_right () const
const Point2f & | get_upper_left () const
Point2f | get_upper_right () const
float | get_width () const
bool | is_inside (const Point2i &pos) const

## Additional Inherited Members

Public Types inherited from Zeni::Widget_Button
enum | State { NORMAL, CLICKED, HOVERED, STRAYED, UNACTIONABLE }
Static Public Member Functions inherited from Zeni::Text_Box
static void | reformat_all ()
| Reformat all Text_Box instances. More...

## Detailed Description

### template<typename PLAY_STATE, typename INSTRUCTIONS_STATE>
class Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title

Definition at line 45 of file Title_State.h.

## Constructor & Destructor Documentation

template<typename PLAY_STATE, typename INSTRUCTIONS_STATE>

Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::Title::Title | ( | const String & | title_ | ) |

inline

Definition at line 50 of file Title_State.h.

References Zeni::Text_Box::give_BG_Renderer().

The documentation for this class was generated from the following file:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Title_State.h